using SoftwareInstallationDataModels.Models;
using SoftwareInstallationContracts.Attributes;
using System.ComponentModel;

namespace SoftwareInstallationContracts.ViewModels
{
    public class PackageViewModel : IPackageModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column("Название изделия", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string PackageName { get; set; } = string.Empty;
		[Column("Цена", width: 100)]
		public double Price { get; set; }
		[Column(visible: false)]
		public Dictionary<int, (IComponentModel, int)> PackageComponents
        {
            get;
            set;
        } = new();
    }
}